Page MenuHomePhabricator

[Regression pre-wmf.5] TypeError "OO.ui.GroupWidget is undefined" appears when trying to open Citaion dialog
Closed, ResolvedPublic1 Estimated Story Points

Description

Clicking on Cite does not open the Citation dialog and after that cannot also open the link inspector.
Following error appears in the console:
TypeError: OO.ui.GroupWidget is undefined
TypeError: this.search is undefined

Event Timeline

Ryasmeen created this task.Oct 28 2015, 9:58 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 9:58 PM
Ryasmeen renamed this task from [Regression pre wmf.5] Cannot open Citaion dialog to [Regression pre wmf.5] TypeError "OO.ui.GroupWidget is undefined" appears when trying to open Citaion dialog.Oct 29 2015, 12:11 AM
Ryasmeen triaged this task as High priority.
Ryasmeen updated the task description. (Show Details)
Ryasmeen set Security to None.

Change 249606 had a related patch set uploaded (by Bartosz Dziewoński):
Fix remaining uses of now-removed OOUI mixin aliases

https://gerrit.wikimedia.org/r/249606

Change 249606 merged by jenkins-bot:
Fix remaining uses of now-removed OOUI mixin aliases

https://gerrit.wikimedia.org/r/249606

Jdforrester-WMF renamed this task from [Regression pre wmf.5] TypeError "OO.ui.GroupWidget is undefined" appears when trying to open Citaion dialog to [Regression pre-wmf.5] TypeError "OO.ui.GroupWidget is undefined" appears when trying to open Citaion dialog.Oct 31 2015, 12:10 AM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to matmarex.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF edited projects, added Citoid; removed Patch-For-Review.
Jdforrester-WMF edited a custom field.